Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.lists
Class ListKeyboardDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.lists.ListAPIDriver
                  |
                  +--org.netbeans.jemmy.drivers.lists.ListKeyboardDriver

All Implemented Interfaces:
  LightDriver, ListDriver, MultiSelListDriver

public class ListKeyboardDriver
extends ListAPIDriver
implements MultiSelListDriver

List driver for java.awt.List component type. Uses keyboard and mouse.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`ListKeyboardDriver()` Constructs a ListKeyboardDriver.

Method Summary
`void` | `selectItem(ComponentOperator oper, int index)` Selects an item.

Methods inherited from class org.netbeans.jemmy.drivers.lists.ListAPIDriver
`selectItems`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.netbeans.jemmy.drivers.MultiSelListDriver
`selectItems`

Constructor Detail

### ListKeyboardDriver

    public ListKeyboardDriver()

  Constructs a ListKeyboardDriver.

Method Detail

### selectItem

    public void selectItem(ComponentOperator oper,
                           int index)

  Description copied from interface: `ListDriver`
  Selects an item.
  Specified by:
    `selectItem` in interface `ListDriver`
  Overrides:
    `selectItem` in class `ListAPIDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ListDriver`
  Parameters:
    `oper` - List operator.
    `index` - Item index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD